Bug 1201061 - python-catkin_tools-0.3.0 is available
Summary: python-catkin_tools-0.3.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-catkin_tools
Version: rawhide
Hardware: All
OS: All
medium
low
Target Milestone: ---
Assignee: Scott K Logan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1205690
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 00:18 UTC by Upstream Release Monitoring
Modified: 2015-08-05 22:28 UTC (History)
3 users (show)

Fixed In Version: python-catkin_pkg-0.2.9-1.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 05:30:24 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2015-03-12 00:18:17 UTC
Latest upstream release: 0.2.2
Current version/release in rawhide: 0.2.0-2.fc22
URL: https://github.com/catkin/catkin_tools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2015-04-23 12:16:44 UTC
Latest upstream release: 0.3.0
Current version/release in rawhide: 0.2.0-2.fc22
URL: https://github.com/catkin/catkin_tools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 2 Upstream Release Monitoring 2015-04-23 12:16:48 UTC
Failed to kick off scratch build.

list index out of range

Comment 3 Scott K Logan 2015-07-04 23:48:27 UTC
We need python-catkin_pkg >= 0.2.8 to build/release this. We'll have to wait for that update to go through.

Comment 4 Rich Mattes 2015-07-05 17:20:28 UTC
We can use a buildroot override to build python-catkin_tools against the new python-catkin_pkg and then push them both in the same bodhi update.

I just submitted the overrides for python-catkin_pkg, the packages should get tagged in after 20 minutes or so.  Once they do, you can kick off builds for python-catkin_tools, and then add them to the bodhi updates for python-catkin_pkg (it's important to use the existing updates, as both packages need to land in the -updates repo at the same time to avoid repo breakage)

Comment 5 Upstream Release Monitoring 2015-07-05 23:48:01 UTC
cottsay's python-catkin_tools-0.3.0-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=667030

Comment 6 Fedora Update System 2015-07-06 19:50:52 UTC
python-catkin_pkg-0.2.9-1.fc22, python-catkin_tools-0.3.0-1.fc22, python-rosinstall_generator-0.1.11-1.fc22, python-catkin_lint-1.4.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-11212/python-catkin_lint-1.4.0-1.fc22,python-catkin_tools-0.3.0-1.fc22,python-rosinstall_generator-0.1.11-1.fc22,python-catkin_pkg-0.2.9-1.fc22

Comment 7 Fedora Update System 2015-07-06 19:54:42 UTC
python-catkin_pkg-0.2.9-1.fc21, python-rosinstall-0.7.5-1.fc21, python-catkin_lint-1.4.0-1.fc21, python-catkin_tools-0.3.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-11206/python-rosinstall-0.7.5-1.fc21,python-catkin_lint-1.4.0-1.fc21,python-catkin_tools-0.3.0-1.fc21,python-catkin_pkg-0.2.9-1.fc21

Comment 8 Fedora Update System 2015-07-06 19:57:19 UTC
python-catkin_pkg-0.2.9-1.el6, python-catkin_tools-0.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-catkin_tools-0.3.0-1.el6,python-catkin_pkg-0.2.9-1.el6

Comment 9 Fedora Update System 2015-07-06 19:57:35 UTC
python-catkin_pkg-0.2.9-1.el7, python-catkin_tools-0.3.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-catkin_tools-0.3.0-1.el7,python-catkin_pkg-0.2.9-1.el7

Comment 10 Fedora Update System 2015-07-08 17:09:09 UTC
Package python-catkin_pkg-0.2.9-1.el7, python-catkin_tools-0.3.0-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-catkin_pkg-0.2.9-1.el7 python-catkin_tools-0.3.0-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7063/python-catkin_tools-0.3.0-1.el7,python-catkin_pkg-0.2.9-1.el7
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-08-05 05:30:24 UTC
python-catkin_pkg-0.2.9-1.el6, python-catkin_tools-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-08-05 05:31:41 UTC
python-catkin_pkg-0.2.9-1.el7, python-catkin_tools-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-08-05 22:28:19 UTC
python-catkin_pkg-0.2.9-1.fc22, python-catkin_tools-0.3.0-1.fc22, python-rosinstall_generator-0.1.11-1.fc22, python-catkin_lint-1.4.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.